import * as React from 'react';
import { CnOSSUpload } from '@cainiaofe/cn-ui';
export function createFileFormat() {
    return (column) => {
        return {
            width: 120,
            cell(cell) {
                return React.createElement(CnOSSUpload, { shape: "mini", ...column === null || column === void 0 ? void 0 : column.cnOssUploadProps, value: cell, readOnly: true });
            },
        };
    };
}
